package td09;


public class Complex {
	private double a;
	private double b;

	public Complex() {
		a = 0.0; b = 0.0;
	}

	public Complex(double r, double i){
		a = r; b = i;
	}

	public double getRealPart(){
		return a;
	}

	public double getImaginaryPart(){
		return b;
	}

	public boolean equals(Complex z){
		return (a == z.a) && (b == z.b);
	}

	public Complex clone(){
		return new Complex(a, b);
	}

	public String toString(){
		if (a==0.0 && b==0.0)
			return "0";
		if (a == 0.0) 
			return b +" i";
		if (b == 0.0)
			return ""+a;
		return a+" + "+b+" i";
	}

	public double norm(){
		return Math.sqrt(a*a+b*b);
	}

	public void add(Complex z){
		a = a + z.a;
		b = b + z.b;
	}

	public void multiply(Complex z){
		double r = a * z.a -b *z.b;
		double im = a * z.b + b * z.a ;
		a = r;
		b = im;
	}

	public static Complex add(Complex z1, Complex z2){
		Complex sum = z1.clone();
		sum.add(z2);
		return sum;
	}

	public static Complex multiply(Complex z1, Complex z2){
		Complex product = z1.clone();
		product.multiply(z2);
		return product;
	}


}
