package td09;

public class FractalImage {
	final private int imageSize = 1000;  // côté en pixels de l'image
	private Fractal f;
	private double xc, yc; // centre de la fenêtre de visualisation (dans le plan complexe)
	private double windowSize; // côté de la fenêtre de visualisation (dans le plan complexe)

	// calcule la correspondance entre i et j dans [0..(imageSize-1)]  
	// et les points du plan complexe correspondant
	public int getValue (int i, int j) {
		double x = (i * 2. * windowSize) / (imageSize-1) + xc -windowSize;
		double y = (j * 2. * windowSize) / (imageSize-1) + yc -windowSize;
		return f.belongsTo(x, y)? 1 : 0;
	}

	public FractalImage (double xc, double yc, double windowSize, Fractal f){
		this.xc = xc;
		this.yc = yc;
		this.windowSize = windowSize;
		this.f = f;
	}
	public int getSize (){
		return imageSize;
	}
}	




