package td09;

import java.io.*;

public class TestFractal{

	public static void pbmFile(String fileName, FractalImage image) {
		int size = image.getSize();
		try{
			FileWriter file = new FileWriter (fileName);
			file.write ("P1\n");
			file.write (size + " " + size + "\n");

			for(int j = 0; j < size; j++)
				for(int i = 0; i < size; i++)
					file.write(image.getValue(i, j) + " ");

			file.close();
		}
		catch (java.io.IOException e){
			System.out.println("erreur création fichier image");
		}
	}	


	public static void main(String[] args){
		Fractal julia = new Julia(300, 50, -0.8, 0.156); // essayer aussi 0.285+0.01i
		double r = 2.0;
		for (int i = 0; i < 20; ++i) { 
			FractalImage juliaImage = new FractalImage (0.3, 0.2, r, julia);
			r = r/2;
			pbmFile("julia" + i + ".pbm", juliaImage);
		}

		Fractal mandel = new Mandelbrot(100, 4); 
		r = 2.0;
		for (int i = 0; i < 10; ++i){ 
			FractalImage mandelImage = new FractalImage (0.4, 0.2, r, mandel);
			r = r/2;
			pbmFile("mandel" + i + ".pbm", mandelImage);
		}

	}
}
